CON

  _CLKMODE = XTAL1 + PLL16X        ' 80 Mhz clock
  _XINFREQ = 5_000_000

  IRdetPin  =    0                   ' IR Receiver - Propeller Pin
  BaudRate  = 115200


OBJ

  ir    : "irtest"
  pst   : "Parallax Serial Terminal Plus"
  num   : "simple_numbers"

VAR

  byte IRcode                                             ' keycode from IR Receiver
  
PUB Init | freq, index, cog, lcode

  pst.Start(BaudRate) 
  ir.Start(IRdetPin, @IRcode)  ' Propeller pin connected to the IR receiver, address of variable
  
  repeat
                                                                    
    pst.char(1)
    case IRcode                                                                                                             
      ir#chUp  :  pst.str(string("Channel Up"))                                                            
      ir#chDn  :  pst.str(string("Channel Down"))              
      ir#volUp :  pst.str(string("Volume Up"))                                                                             
      ir#volDn :  pst.str(string("Volume Down"))                
      ir#power :  pst.str(string("Power"))                          
      other    :  pst.str(string("Other Key Pressed"))
    pst.chars(32, 12)         
    pst.chars(13, 2)
    
    pst.dec(IRcode)
    pst.chars(32, 2)
                                                      
    waitcnt((clkfreq / 1000) * 30 + cnt)    